import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './plugins/element.js'
import './assets/css/gobal.css'

import common from './views/demo/Common.vue'

Vue.component('common', common)
    // import 'lib-flexible'
Vue.config.productionTip = false

import axios from 'axios'
// Vue.prototype.$http = axios
//根路径
// axios.defaults.baseURL = 'http://127.0.0.1:'

//将其挂载到原型对象上
Vue.prototype.$http = axios
new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')